Bug 16871 - Multiple Sources With Images
Multiple Sources With Images
Status: RESOLVED WORKSFORME
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
Macintosh All
: P2 enhancement
: ---
Assigned To: Edward O'Connor
HTML WG Bugzilla archive list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-26 22:50 UTC by James
Modified: 2013-02-12 19:58 UTC (History)
8 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description James 2012-04-26 22:50:07 UTC
I was wondering why IMG has been left out. Video and Sound have a source tag which I think IMG should have as well so that I as a web developer can have different image resources depending on things like the screen size or what the browser supports
Comment 1 Odin Hørthe Omdal 2012-05-08 13:27:43 UTC
There's some ongoing talk about it. You may find some info here:

http://lists.w3.org/Archives/Public/public-html/2011May/thread.html#msg386
https://gist.github.com/2159117
http://www.w3.org/community/respimg/common-questions-and-concerns/


And probably some other places on the web too ;-)

Why <img> hasn't got that is first and foremost just legacy. But now that we want something like it, it's harder to say how.

(and with a HTTP-based solution, having it all in one progressive image, allowing to stop downloading that one when you don't want more, then img tag wouldn't have to be changed to have sources at all).
Comment 2 contributor 2012-07-18 07:02:58 UTC
This bug was cloned to create bug 17848 as part of operation convergence.
Comment 3 Robin Berjon 2013-01-21 15:59:15 UTC
Mass move to "HTML WG"
Comment 4 Robin Berjon 2013-01-21 16:02:00 UTC
Mass move to "HTML WG"
Comment 5 Edward O'Connor 2013-02-12 19:58:24 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:

   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Partially Accepted
Change Description: No spec change.
Rationale: The HTML WG is actively pursuing work in this area, in the
form of the <picture> and srcset="" extension specifications. I
encourage the OP to contribute to those efforts.